## mpv 0.22.0

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib.Tools import c_preproc
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

c_preproc.go_absolute=True # enable system folders
c_preproc.standard_includes.append('/usr/local/include')

build_options = [
    {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps_neg': [ 'libmpv-shared' ],
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--html-build',
        'desc': 'html manual generation',
        'func': check_ctx_vars('RST2HTML'),
        'default': 'disable',
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': 'dlopen',
        'desc': 'dlopen',
        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--vf-dlopen-filters',
        'desc': 'compilation of default filters for vf_dlopen',
        'deps': [ 'dlopen' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--zsh-comp',
        'desc': 'zsh completion',
        'func': check_true,
        'default': 'disable',
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--test',
        'desc': 'test suite (using cmocka)',
        'func': check_pkg_config('cmocka', '>= 1.0.0'),
        'default': 'disable',
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': [ 'os-win32' ],
        'func': check_statement('stdlib.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        # This should be good enough.
        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
    }, {
        'name': 'fnmatch',
        'desc': 'fnmatch()',
        'func': check_statement('fnmatch.h', 'fnmatch("", "", 0)')
    }, {
        'name': 'posix-or-mingw',
        'desc': 'development environment',
        'deps_any': [ 'posix', 'mingw' ],
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': 'win32',
        'desc': 'win32',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps_neg': [ 'posix' ],
        'deps': [ 'win32' ],
        'func': check_true,
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'gnuc',
        'desc': 'GNU C extensions',
        'func': check_statement([], "__GNUC__"),
    }, {
        'name': 'stdatomic',
        'desc': 'stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'atomic_fetch_add(&test, 1)'))
    }, {
        'name': 'atomic-builtins',
        'desc': 'compiler support for __atomic built-ins',
        'func': check_libs(['atomic'],
            check_statement('stdint.h',
                'int64_t test = 0;'
                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
        'deps_neg': [ 'stdatomic' ],
    }, {
        'name': 'sync-builtins',
        'desc': 'compiler support for __sync built-ins',
        'func': check_statement('stdint.h',
                    'int64_t test = 0;'
                    '__typeof__(test) x = ({int a = 1; a;});'
                    'test = __sync_add_and_fetch(&test, 1)'),
        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
    }, {
        'name': 'atomics',
        'desc': 'stdatomic.h support or emulation',
        'func': check_true,
        'req': True,
        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins', 'gnuc'],
    }, {
        'name': 'c11-tls',
        'desc': 'C11 TLS support',
        'func': check_statement('stddef.h', 'static _Thread_local int x = 0'),
    }, {
        'name': 'gcc-tls',
        'desc': 'GCC TLS support',
        'func': check_statement('stddef.h', 'static __thread int x = 0'),
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': [ 'pthreads' ],
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--termios',
        'desc': 'termios',
        'func': check_headers('termios.h', 'sys/termios.h'),
    }, {
        'name': '--shm',
        'desc': 'shm',
        'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
            'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
    }, {
        'name': 'nanosleep',
        'desc': 'nanosleep',
        'func': check_statement('time.h', 'nanosleep(0,0)')
    }, {
        'name': 'posix-spawn',
        'desc': 'POSIX spawnp()/kill()',
        'func': check_statement(['spawn.h', 'signal.h'],
            'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
        'deps_neg': ['mingw'],
    }, {
        'name': 'subprocess',
        'desc': 'posix_spawnp() or MinGW',
        'func': check_true,
        'deps_any': ['posix-spawn', 'mingw'],
    }, {
        'name': 'glob',
        'desc': 'glob()',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
    }, {
        'name': 'glob-win32-replacement',
        'desc': 'glob() win32 replacement',
        'deps_neg': [ 'glob' ],
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'fchmod',
        'desc': 'fchmod()',
        'func': check_statement('sys/stat.h', 'fchmod(0, 0)'),
    }, {
        'name': 'vt.h',
        'desc': 'vt.h',
        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'gbm.h',
        'desc': 'gbm.h',
        'func': check_cc(header_name=['stdio.h', 'gbm.h']),
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps_neg': [ 'glibc-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
        'func': check_statement(['pthread.h', 'pthread_np.h'],
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'netbsd-thread-name',
        'desc': 'NetBSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': [ 'os-linux' ],
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support',
        'deps': [ 'libdl' ],
        'func': check_pkg_config('smbclient'),
        'module': 'input',
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass', '>= 0.12.1'),
        'req': True,
        'fmsg': "Unable to find development files for libass, or the version " +
                "found is too old. Aborting. If you really mean to compile " +
                "without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': [ 'libass' ],
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps_neg': [ 'libass-osd' ],
        'func': check_true,
    } , {
        'name': 'zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    } , {
        'name' : '--encoding',
        'desc' : 'Encoding',
        'func': check_true,
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.3.0'),
    }, {
        'name': '--dvdread',
        'desc': 'dvdread support',

=== debian/changelog ===
mpv (0.22.0-1) unstable; urgency=medium

  * New upstream release.

  * Refresh patches.
  * Update debian/copyright.

 -- James Cowgill <jcowgill@debian.org>  Sun, 20 Nov 2016 23:13:33 +0000

## mpv 0.23.0

=== wscript ===
--- 
+++ 
@@ -81,6 +81,7 @@
     }, {
         'name': '--zsh-comp',
         'desc': 'zsh completion',
+        'func': check_ctx_vars('BIN_PERL'),
         'func': check_true,
         'default': 'disable',
     }, {
@@ -128,10 +129,6 @@
         'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
             'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
     }, {
-        'name': 'fnmatch',
-        'desc': 'fnmatch()',
-        'func': check_statement('fnmatch.h', 'fnmatch("", "", 0)')
-    }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
         'deps_any': [ 'posix', 'mingw' ],
@@ -345,3 +342,6 @@
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
+        'func': check_pkg_config('dvdread', '>= 4.1.0'),
+    }, {
+        'name': '--dvdnav',

=== debian/changelog ===
mpv (0.23.0-2+deb9u2) stretch-security; urgency=high

  * debian/patches/08_ytdl-hook-whitelist-protocols.patch:
    - Fix regression in CVE-2018-6360 patch which broke youtube playlists.
      (Closes: #889892)

 -- James Cowgill <jcowgill@debian.org>  Thu, 08 Feb 2018 12:27:06 +0000

mpv (0.23.0-2+deb9u1) stretch-security; urgency=high

  * debian/patches/08_ytdl-hook-whitelist-protocols.patch:
    - Add patch which whitelists protocols received from youtube-dl.
      Fixes CVE-2018-6360. (Closes: #888654)

 -- James Cowgill <jcowgill@debian.org>  Sat, 03 Feb 2018 15:05:34 +0100

mpv (0.23.0-2) unstable; urgency=medium

  * Add patch from upstream fix segfaults on tv input.
    Thanks to Frédéric Brière. (Closes: #853798)

 -- James Cowgill <jcowgill@debian.org>  Mon, 13 Feb 2017 21:39:28 +0000

mpv (0.23.0-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Build-depend on ffmpeg 3.2.2.
    - Use https for the Homepage field.
  * debian/copyright:
    - Update for 0.23.0.
  * debian/patches:
    - Refresh.
    - Use https for BTS links in debian/patches.

 -- James Cowgill <jcowgill@debian.org>  Tue, 27 Dec 2016 23:02:13 +0000

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.17),
 libasound2-dev [linux-any],
 libass-dev (>= 0.12.1~),
 libavcodec-dev (>= 7:3.2.2),
 libavdevice-dev (>= 7:3.2.2),
 libavfilter-dev (>= 7:3.2.2),
 libavformat-dev (>= 7:3.2.2),
 libavresample-dev (>= 7:3.2.2),
 libavutil-dev (>= 7:3.2.2),
 libbluray-dev,
 libcdio-paranoia-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libenca-dev,
 libgbm-dev,
 libgl1-mesa-dev,
 libguess-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsmbclient-dev,
 libsndio-dev (>= 1.0.1),
 libswscale-dev (>= 7:3.2.2),
 libv4l-dev,
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python,
 python-docutils,
Standards-Version: 3.9.8
Homepage: https://mpv.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: youtube-dl (>= 2014.11.26)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

Package: mplayer2
Section: oldlibs
Architecture: all
Depends: mpv, ${misc:Depends}
Multi-Arch: foreign
Replaces: mplayer
Conflicts: mplayer
Description: transitional dummy package for mpv
 This is a transitional dummy package to get upgrading systems to install
 the mpv package. It can safely be removed once no other package depends
 on it.

## mpv 0.24.0

=== wscript ===
--- 
+++ 
@@ -68,6 +68,12 @@
         'desc': 'dynamic loader',
         'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
     }, {
+        'name': '--cplugins',
+        'desc': 'C plugins',
+        'deps': [ 'libdl' ],
+        'default': 'disable',
+        'func': check_cc(linkflags=['-Wl,-export-dynamic']),
+    }, {
         'name': 'dlopen',
         'desc': 'dlopen',
         'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
@@ -173,19 +179,11 @@
                 'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
         'deps_neg': [ 'stdatomic' ],
     }, {
-        'name': 'sync-builtins',
-        'desc': 'compiler support for __sync built-ins',
-        'func': check_statement('stdint.h',
-                    'int64_t test = 0;'
-                    '__typeof__(test) x = ({int a = 1; a;});'
-                    'test = __sync_add_and_fetch(&test, 1)'),
-        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
-    }, {
         'name': 'atomics',
         'desc': 'stdatomic.h support or emulation',
         'func': check_true,
         'req': True,
-        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins', 'gnuc'],
+        'deps_any': ['stdatomic', 'atomic-builtins', 'gnuc'],
     }, {
         'name': 'c11-tls',
         'desc': 'C11 TLS support',
@@ -345,3 +343,8 @@
         'func': check_pkg_config('dvdread', '>= 4.1.0'),
     }, {
         'name': '--dvdnav',
+        'desc': 'dvdnav support',
+        'deps': [ 'dvdread' ],
+        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
+    }, {
+        'name': '--cdda',

=== debian/changelog ===
mpv (0.24.0-1) experimental; urgency=medium

  * New upstream release.
    - Fixes segfaults on TV input. (Closes: #853798)

  * debian/control:
    - Enable uchardet for subtitle encoding detection. (Closes: #854788)
  * debian/copyright:
    - Update copyright dates.

 -- James Cowgill <jcowgill@debian.org>  Sun, 12 Feb 2017 21:12:19 +0000

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:3.2.2),
+ libuchardet-dev,
  libv4l-dev,
  libva-dev,
  libvdpau-dev,

## mpv 0.25.0

=== wscript ===
--- 
+++ 
@@ -72,7 +72,7 @@
         'desc': 'C plugins',
         'deps': [ 'libdl' ],
         'default': 'disable',
-        'func': check_cc(linkflags=['-Wl,-export-dynamic']),
+        'func': check_cc(linkflags=['-rdynamic']),
     }, {
         'name': 'dlopen',
         'desc': 'dlopen',
@@ -171,19 +171,11 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
-        'name': 'atomic-builtins',
-        'desc': 'compiler support for __atomic built-ins',
-        'func': check_libs(['atomic'],
-            check_statement('stdint.h',
-                'int64_t test = 0;'
-                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
-        'deps_neg': [ 'stdatomic' ],
-    }, {
         'name': 'atomics',
-        'desc': 'stdatomic.h support or emulation',
-        'func': check_true,
-        'req': True,
-        'deps_any': ['stdatomic', 'atomic-builtins', 'gnuc'],
+        'desc': 'stdatomic.h support or slow emulation',
+        'func': check_true,
+        'req': True,
+        'deps_any': ['stdatomic', 'gnuc'],
     }, {
         'name': 'c11-tls',
         'desc': 'C11 TLS support',
@@ -337,14 +329,24 @@
         'name': '--libbluray',
         'desc': 'Bluray support',
         'func': check_pkg_config('libbluray', '>= 0.3.0'),
+        #'default': 'disable',
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
         'func': check_pkg_config('dvdread', '>= 4.1.0'),
+        'default': 'disable',
     }, {
         'name': '--dvdnav',
         'desc': 'dvdnav support',
-        'deps': [ 'dvdread' ],
-        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
+        'func': check_pkg_config('dvdnav',  '>= 4.2.0',
+                                 'dvdread', '>= 4.1.0'),
+        'default': 'disable',
+    }, {
+        'name': 'dvdread-common',
+        'desc': 'DVD/IFO support',
+        'deps_any': [ 'dvdread', 'dvdnav' ],
+        'func': check_true,
     }, {
         'name': '--cdda',
+        'desc': 'cdda support (libcdio)',
+        'func': check_pkg_config('libcdio_paranoia'),

=== debian/changelog ===
mpv (0.25.0-3) unstable; urgency=medium

  * debian/control:
    - Drop mplayer2 transitional package.
    - Build-Depend on libcaca-dev. (Closes: #865517)

 -- James Cowgill <jcowgill@debian.org>  Thu, 22 Jun 2017 12:19:08 +0100

mpv (0.25.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Drop build dependencies on libenca-dev and libguess-dev.
      Thanks to Yuriy M. Kaminskiy
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 09:11:40 +0100

mpv (0.25.0-1) experimental; urgency=medium

  * New upstream release.

  * debian/compat:
    - Use debhelper compat 10.
  * debian/copyright:
    - Update various files which were relicensed from GPL to LGPL.
  * debian/patches:
    - Refresh.
  * debian/rules:
    - Re-enable dvd functionality which was disabled by default upstream.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Apr 2017 21:34:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 10),
  dpkg-dev (>= 1.17),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
@@ -16,14 +17,13 @@
  libavresample-dev (>= 7:3.2.2),
  libavutil-dev (>= 7:3.2.2),
  libbluray-dev,
+ libcaca-dev,
  libcdio-paranoia-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libegl1-mesa-dev [linux-any],
- libenca-dev,
  libgbm-dev,
  libgl1-mesa-dev,
- libguess-dev,
  libjack-dev,
  libjpeg-dev,
  liblcms2-dev (>= 2.6~),
@@ -48,7 +48,7 @@
  pkg-config,
  python,
  python-docutils,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://mpv.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git
@@ -98,15 +98,3 @@
  variety of video file formats, audio and video codecs, and subtitle types.
  .
  This package provides development files for libmpv.
-
-Package: mplayer2
-Section: oldlibs
-Architecture: all
-Depends: mpv, ${misc:Depends}
-Multi-Arch: foreign
-Replaces: mplayer
-Conflicts: mplayer
-Description: transitional dummy package for mpv
- This is a transitional dummy package to get upgrading systems to install
- the mpv package. It can safely be removed once no other package depends
- on it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

%:
	dh $@

override_dh_auto_configure:
	python ./waf configure						\
			--prefix=/usr					\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
			--confdir=/etc/mpv				\
			--zshdir=/usr/share/zsh/vendor-completions	\
			--enable-cdda --enable-sdl2 --enable-sndio	\
			--enable-zsh-comp --enable-libmpv-shared	\
			--enable-encoding				\
			--enable-dvdnav					\
			--enable-dvdread				\
			--disable-build-date

override_dh_auto_build:
	python ./waf -v build

override_dh_auto_install:
	python ./waf -v install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	test -s ./waf && python ./waf -v distclean || true
	find . -name "*.pyc" -delete

## mpv 0.26.0

=== wscript ===
--- 
+++ 
@@ -12,6 +12,19 @@
 c_preproc.go_absolute=True # enable system folders
 c_preproc.standard_includes.append('/usr/local/include')
 
+"""
+Dependency identifiers (for win32 vs. Unix):
+    wscript / C source      meaning
+    --------------------------------------------------------------------------
+    posix / HAVE_POSIX:                 defined on Linux, OSX, Cygwin
+                                        (Cygwin emulates POSIX APIs on Windows)
+    mingw / __MINGW32__:                defined if posix is not defined
+                                        (Windows without Cygwin)
+    os-win32 / _WIN32:                  defined if basic windows.h API is available
+    win32-desktop / HAVE_WIN32_DESKTOP: defined if desktop windows.h API is available
+    uwp / HAVE_UWP:                     defined if building for UWP (basic Windows only)
+"""
+
 build_options = [
     {
         'name': '--cplayer',
@@ -71,19 +84,8 @@
         'name': '--cplugins',
         'desc': 'C plugins',
         'deps': [ 'libdl' ],
-        'default': 'disable',
+        'deps_neg': [ 'os-win32' ],
         'func': check_cc(linkflags=['-rdynamic']),
-    }, {
-        'name': 'dlopen',
-        'desc': 'dlopen',
-        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
-        'func': check_true
-    }, {
-        'name': '--vf-dlopen-filters',
-        'desc': 'compilation of default filters for vf_dlopen',
-        'deps': [ 'dlopen' ],
-        'default': 'disable',
-        'func': check_true
     }, {
         'name': '--zsh-comp',
         'desc': 'zsh completion',
@@ -143,15 +145,23 @@
         'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                 'or compiler does not work.',
     }, {
-        'name': 'win32',
-        'desc': 'win32',
+        'name': '--uwp',
+        'desc': 'Universal Windows Platform',
+        'default': 'disable',
+        'deps': [ 'os-win32', 'mingw' ],
+        'deps_neg': [ 'cplayer' ],
+        'func': check_cc(lib=['windowsapp']),
+    }, {
+        'name': 'win32-desktop',
+        'desc': 'win32 desktop APIs',
         'deps_any': [ 'os-win32', 'os-cygwin' ],
+        'deps_neg': [ 'uwp' ],
         'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
         'deps_neg': [ 'posix' ],
-        'deps': [ 'win32' ],
+        'deps': [ 'os-win32' ],
         'func': check_true,
     }, {
         'name': 'pthreads',
@@ -177,14 +187,6 @@
         'req': True,
         'deps_any': ['stdatomic', 'gnuc'],
     }, {
-        'name': 'c11-tls',
-        'desc': 'C11 TLS support',
-        'func': check_statement('stddef.h', 'static _Thread_local int x = 0'),
-    }, {
-        'name': 'gcc-tls',
-        'desc': 'GCC TLS support',
-        'func': check_statement('stddef.h', 'static __thread int x = 0'),
-    }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
         'deps': [ 'pthreads' ],
@@ -222,18 +224,15 @@
             'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
         'deps_neg': ['mingw'],
     }, {
-        'name': 'subprocess',
-        'desc': 'posix_spawnp() or MinGW',
-        'func': check_true,
-        'deps_any': ['posix-spawn', 'mingw'],
-    }, {
-        'name': 'glob',
-        'desc': 'glob()',
-        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
-    }, {
-        'name': 'glob-win32-replacement',
+        'name': 'win32-pipes',
+        'desc': 'Windows pipe support',
+        'func': check_true,
+        'deps': [ 'win32-desktop' ],
+        'deps_neg': [ 'posix' ],
+    }, {
+        'name': 'glob-win32',
         'desc': 'glob() win32 replacement',
-        'deps_neg': [ 'glob' ],
+        'deps_neg': [ 'posix' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
     }, {
@@ -265,15 +264,8 @@
         'name': 'bsd-thread-name',
         'desc': 'BSD API for setting thread name',
         'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
-        'func': check_statement(['pthread.h', 'pthread_np.h'],
+        'func': check_statement('pthread.h',
                                 'pthread_set_name_np(pthread_self(), "ducks")',
-                                use=['pthreads']),
-    }, {
-        'name': 'netbsd-thread-name',
-        'desc': 'NetBSD API for setting thread name',
-        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
-        'func': check_statement('pthread.h',
-                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
                                 use=['pthreads']),
     }, {
         'name': 'bsd-fstatfs',
@@ -288,15 +280,20 @@
                                 'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
     }, {
         'name': '--libsmbclient',
-        'desc': 'Samba support',
+        'desc': 'Samba support (makes mpv GPLv3)',
         'deps': [ 'libdl' ],
         'func': check_pkg_config('smbclient'),
+        'default': 'disable',
         'module': 'input',
     }, {
         'name' : '--lua',
         'desc' : 'Lua',
         'func': check_lua,
     }, {
+        'name' : '--javascript',
+        'desc' : 'Javascript (MuJS backend)',
+        'func': check_pkg_config('mujs', '>= 1.0.0'),
+    }, {
         'name': '--libass',
         'desc': 'SSA/ASS support',
         'func': check_pkg_config('libass', '>= 0.12.1'),
@@ -315,7 +312,7 @@
         'deps_neg': [ 'libass-osd' ],
         'func': check_true,
     } , {
-        'name': 'zlib',
+        'name': '--zlib',
         'desc': 'zlib',
         'func': check_libs(['z'],
                     check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
@@ -349,4 +346,3 @@
     }, {
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
-        'func': check_pkg_config('libcdio_paranoia'),

=== debian/changelog ===
mpv (0.26.0-3ubuntu1) artful; urgency=medium

  * Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
    VA-API gets a display type that works (LP: #1698287)
  * Enable hardware acceleration by default (LP: #1708102)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Aug 2017 16:38:55 +0800

mpv (0.26.0-3) unstable; urgency=medium

  * Bump ffmpeg build dependency to >= 3.3.
    - Should fix hardware decoding in 0.26.0. (Closes: #869093)

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Jul 2017 22:55:30 +0100

mpv (0.26.0-2) unstable; urgency=medium

  * debian/control, debian/rules:
    - Remove --enable-tv option and drop libv4l-dev build dependency. This
      functionality is now provided through ffmpeg.
  * debian/patches/07_io-stdin-used.patch:
    - Add _IO_stdin_used to mpv version script. Should fix FTBFS on alpha,
      mips* and powerpc*.

 -- James Cowgill <jcowgill@debian.org>  Fri, 21 Jul 2017 10:03:53 +0100

mpv (0.26.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes unfinished --audio-spdif sentence in the manpage.
      (Closes: #864908)

  * debian/copyright:
    - Update d/copyright and list of GPL-2 files.
    - Clarify license of distributed binaries is GPL-3+.
  * debian/patches:
    - Refresh patches.
    - Update waf to 1.9.8.
  * debian/rules:
    - Reformat and sort configure options in d/rules.
    - Fix DEB_HOST_MULTIARCH when d/rules is invoked directly.
    - Enable libsmbclient and tv (disabled upstream).

 -- James Cowgill <jcowgill@debian.org>  Wed, 19 Jul 2017 14:59:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  dpkg-dev (>= 1.17),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
- libavcodec-dev (>= 7:3.2.2),
- libavdevice-dev (>= 7:3.2.2),
- libavfilter-dev (>= 7:3.2.2),
- libavformat-dev (>= 7:3.2.2),
- libavresample-dev (>= 7:3.2.2),
- libavutil-dev (>= 7:3.2.2),
+ libavcodec-dev (>= 7:3.3),
+ libavdevice-dev (>= 7:3.3),
+ libavfilter-dev (>= 7:3.3),
+ libavformat-dev (>= 7:3.3),
+ libavresample-dev (>= 7:3.3),
+ libavutil-dev (>= 7:3.3),
  libbluray-dev,
  libcaca-dev,
  libcdio-paranoia-dev,
@@ -33,9 +33,8 @@
  libsdl2-dev,
  libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
- libswscale-dev (>= 7:3.2.2),
+ libswscale-dev (>= 7:3.3),
  libuchardet-dev,
- libv4l-dev,
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
@@ -11,11 +13,15 @@
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
 			--zshdir=/usr/share/zsh/vendor-completions	\
-			--enable-cdda --enable-sdl2 --enable-sndio	\
-			--enable-zsh-comp --enable-libmpv-shared	\
-			--enable-encoding				\
+			--enable-cdda					\
 			--enable-dvdnav					\
 			--enable-dvdread				\
+			--enable-encoding				\
+			--enable-libmpv-shared				\
+			--enable-libsmbclient				\
+			--enable-sdl2					\
+			--enable-sndio					\
+			--enable-zsh-comp				\
 			--disable-build-date
 
 override_dh_auto_build:
@@ -23,6 +29,7 @@
 
 override_dh_auto_install:
 	python ./waf -v install --destdir=debian/tmp
+	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES

## mpv 0.27.0

=== debian/changelog ===
mpv (0.27.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
      VA-API gets a display type that works (LP: #1698287)
    - Enable hardware acceleration by default (LP: #1708102)

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Nov 2017 09:37:05 +0100

mpv (0.27.0-2) unstable; urgency=medium

  * debian/control:
    - Bump standards version to 4.1.1 (no changes).
  * debian/patches:
    - Add upstream patch to fix FTBFS with libva 2.0. (Closes: #879057)

 -- James Cowgill <jcowgill@debian.org>  Sat, 21 Oct 2017 13:35:54 +0100

mpv (0.27.0-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Bump standards version to 4.1.0 (no changes).
  * debian/copyright:
    - Update copyright.
  * debian/patches:
    - Refresh.
  * debian/rules:
    - Re-enable DVB. (Closes: #873294)
    - Run waf using python3 instead of python2.

 -- James Cowgill <jcowgill@debian.org>  Fri, 15 Sep 2017 09:37:24 +0100

mpv (0.26.0-3ubuntu2) bionic; urgency=medium

  * No-change rebuild for libcdaudio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 11:32:58 +0000

=== debian/control ===
--- 
+++ 
@@ -45,9 +45,9 @@
  libxss-dev,
  libxv-dev,
  pkg-config,
- python,
- python-docutils,
-Standards-Version: 4.0.0
+ python3,
+ python3-docutils,
+Standards-Version: 4.1.1
 Homepage: https://mpv.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git

## mpv 0.27.2

=== wscript ===
--- 
+++ 
@@ -137,6 +137,10 @@
         'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
             'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
     }, {
+        'name': '--android',
+        'desc': 'Android environment',
+        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
+    }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
         'deps_any': [ 'posix', 'mingw' ],
@@ -230,11 +234,21 @@
         'deps': [ 'win32-desktop' ],
         'deps_neg': [ 'posix' ],
     }, {
+        'name': 'glob-posix',
+        'desc': 'glob() POSIX support',
+        'deps_neg': [ 'os-win32', 'os-cygwin' ],
+        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)'),
+    }, {
         'name': 'glob-win32',
         'desc': 'glob() win32 replacement',
         'deps_neg': [ 'posix' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
+    }, {
+        'name': 'glob',
+        'desc': 'any glob() support',
+        'deps_any': [ 'glob-posix', 'glob-win32' ],
+        'func': check_true,
     }, {
         'name': 'fchmod',
         'desc': 'fchmod()',
@@ -330,19 +344,3 @@
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
-        'func': check_pkg_config('dvdread', '>= 4.1.0'),
-        'default': 'disable',
-    }, {
-        'name': '--dvdnav',
-        'desc': 'dvdnav support',
-        'func': check_pkg_config('dvdnav',  '>= 4.2.0',
-                                 'dvdread', '>= 4.1.0'),
-        'default': 'disable',
-    }, {
-        'name': 'dvdread-common',
-        'desc': 'DVD/IFO support',
-        'deps_any': [ 'dvdread', 'dvdnav' ],
-        'func': check_true,
-    }, {
-        'name': '--cdda',
-        'desc': 'cdda support (libcdio)',

=== debian/changelog ===
mpv (0.27.2-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable (LP: #1753472). Remaining changes:
    - Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
      VA-API gets a display type that works. (LP: #1698287)
    - Enable VA-API hardware acceleration by default.
      (LP: #1708102, LP: #1737670, LP: #1728514)

 -- James Cowgill <jcowgill@debian.org>  Mon, 09 Apr 2018 15:17:34 +0100

mpv (0.27.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Also whitelist subtitle URLs in youtube-dl hook. (Closes: #890410)

 -- James Cowgill <jcowgill@debian.org>  Fri, 16 Feb 2018 22:56:00 +0000

mpv (0.27.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Drop, slightly modified version applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Mon, 12 Feb 2018 19:57:05 +0000

mpv (0.27.0-4) unstable; urgency=high

  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Fix regression in CVE-2018-6360 patch which broke youtube playlists.
      (Closes: #889892)

 -- James Cowgill <jcowgill@debian.org>  Thu, 08 Feb 2018 11:51:09 +0000

mpv (0.27.0-3) unstable; urgency=high

  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Add patch which whitelists protocols received from youtube-dl.
      Fixes CVE-2018-6360. (Closes: #888654)

 -- James Cowgill <jcowgill@debian.org>  Sat, 03 Feb 2018 14:59:20 +0100

mpv (0.27.0-2ubuntu4) bionic; urgency=medium

  * Only try hwdec=vaapi, or nothing at all. This avoids problems with other
    acceleration methods such as Nvidia CUDA (LP: #1737670, LP: #1728514)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 15 Dec 2017 09:47:31 +0100

mpv (0.27.0-2ubuntu3) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:52:35 +0000

mpv (0.27.0-2ubuntu2) bionic; urgency=medium

  * No-change rebuild for mpv library name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Nov 2017 22:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,15 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  ARCH_CONFIGURE = --enable-dvbin
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	python ./waf configure						\
+	python3 ./waf configure						\
 			--prefix=/usr					\
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
@@ -22,18 +26,19 @@
 			--enable-sdl2					\
 			--enable-sndio					\
 			--enable-zsh-comp				\
-			--disable-build-date
+			--disable-build-date				\
+			$(ARCH_CONFIGURE)
 
 override_dh_auto_build:
-	python ./waf -v build
+	python3 ./waf -v build
 
 override_dh_auto_install:
-	python ./waf -v install --destdir=debian/tmp
+	python3 ./waf -v install --destdir=debian/tmp
 	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
 
 override_dh_auto_clean:
-	test -s ./waf && python ./waf -v distclean || true
+	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
